import org.junit.Assert;
import org.junit.Test;

import java.time.LocalDate;

import static javafx.scene.input.KeyCode.T;
import static org.junit.Assert.*;

public class PersonTest {
    LocalDate birthday = LocalDate.of(1990, 12, 02);
    String name = "Ryan"; Person.Sex gender = Person.Sex.MALE;
    String emailAddress = "james_FT@littleking.com";

    Person person = new Person(name, birthday, gender, emailAddress);

    @Test
    public void getAge() {
        int expected = 28;
        assertEquals(expected, person.getAge());
    }

    @Test
    public void getName() {
        String expected = "Ryan";
        assertEquals(expected, person.getName());

    }

    @Test
    public void getBirthday() {
        LocalDate expected = LocalDate.of(1990, 12, 02);
        person.setBirthday(expected);
        assertEquals(expected, person.getBirthday());
    }

    @Test
    public void getGender() {
        Person.Sex expected = Person.Sex.MALE;
        person.setGender(expected);
        assertEquals(expected, person.getGender());
    }

    @Test
    public void getEmailAddress() {
        String expected = "james_FT@littleking.com";
        person.setEmailAddress(expected);
    assertEquals(expected, person.getEmailAddress());
    }

    @Test
    public void printPerson() {

    }

    @Test
    public void printPersonsOlderThan() {


    }

    @Test
    public void printPersonsWithinAgeRange() {
    }

}